function example()

%setup optimization variable for Newton method in Vector space
opt.Method = 'newton';
%opt.cgUpdate = 2;
opt.cgSolve = 0;
opt.DerivativeCheck = 'off';
opt.TolFun = 1e-12;
opt.TolX = 1e-12;
opt.MaxFunEvals = 1000;
opt.LS = 0;
opt.LS_init = 0;
opt.HessianModify = 0;
opt.Display = 'off';%'iter';

minFunc(@objFun, [1;2], opt);

function [f g H] = objFun(x)
f = x(1)^2 - x(2)^2 + x(1)*x(2);
g = [2*x(1)+x(2);-2*x(2)+x(1)];
H = [2 1;1 -2];